#pragma once
#include <afxtempl.h>

#include <GL/gl.h>
// CGLWnd

class CGLWnd : public CWnd
{
	DECLARE_DYNAMIC(CGLWnd)

public:
	HGLRC    m_hRC;    // Rendering device context of OpenGL
	HDC      m_hDC;		 // Current device context
  float aspect;
	BOOL     m_bHasTimer;//flag for timer in this child window

	CGLWnd();
	virtual ~CGLWnd();
  BOOL SetupPixelFormat( HDC hDC );
  inline BOOL SetGL()
  {
    if(!(m_hDC && m_hRC)) {
       TRACE("Failed SetGL\n");
       return false;
    }
		
    if(!wglMakeCurrent(m_hDC, m_hRC)){
       AfxMessageBox("GlMakeCurrent Error");
       return FALSE;
    }
   return TRUE;
  }

protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg virtual int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual BOOL myCreate(DWORD dwExStyle, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID);
//	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	afx_msg void OnSize(UINT nType, int cx, int cy);
protected:
//	virtual void PostNcDestroy();
public:
	afx_msg void OnTimer(UINT nIDEvent);
};


